#ifndef COSY_MDriveCom
#define COSY_MDriveCom

#ifndef COSY_MCeCoCom
#include "MCeCoCom.h"
#endif

class RaDec;
class ZdAz;

class MDriveCom : public MCeCoCom
{
private:
    bool InterpreteCmd(TString cmd, TString str);
    void Print(TString &str, Double_t deg) const;

public:
    enum
    {
        kError    = 0x01,
        kMoving   = 0x02,
        kTracking = 0x04,
        kStopping = 0x08,
        kStopped  = 0x10
    };

    MDriveCom(MLog &out=gLog) : MCeCoCom("DRIVE-REPORT", out) {}

    bool SendReport(UInt_t stat, RaDec rd, ZdAz so, ZdAz is, ZdAz er);
};

#endif
